PETSc version 3.15.5
Fix/Edit manual page

# TaoADMMGetUpdateType

Gets the type of spectral penalty update routine for ADMM

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMGetUpdateType(Tao tao, TaoADMMUpdateType *type)

Not Collective

### Input Parameter

| tao | - the Tao context

### Output Parameter

| type | - the type of spectral penalty update routine

### See Also

TaoADMMSetUpdateType(), TaoADMMUpdateType, TAOADMM

### Level

intermediate

### Location

src/tao/constrained/impls/admm/admm.c

### Implementations

TaoADMMGetUpdateType_ADMM in src/tao/constrained/impls/admm/admm.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages